### Method

# EBackend Cache copy_missing_to_column_values

since: 3.32

#### Declaration [src]

    void
    e_cache_copy_missing_to_column_values (
      ECache* cache,
      gint ncols,
      const gchar** column_names,
      const gchar** column_values,
      ECacheColumnValues* other_columns
    )

#### Description [src]

Adds every column value which is not part of the `other_columns` to it, except of E_CACHE_COLUMN_UID, E_CACHE_COLUMN_REVISION, E_CACHE_COLUMN_OBJECT and E_CACHE_COLUMN_STATE columns.

This can be used within the callback of e_cache_foreach_update().

Available since: 3.32

#### Parameters

`ncols`

  Type: `gint`

  Count of columns, items in column_names and column_values.

`column_names`

  Type: An array of `utf8`

  Column names.

  The length of the array is specified in the `ncols` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`column_values`

  Type: An array of `utf8`

  Column values.

  The length of the array is specified in the `ncols` argument.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.

`other_columns`

  Type: `ECacheColumnValues`

  An `ECacheColumnValues` to fill.

  The argument will be modified by the function.
  The caller of the method takes ownership of the returned data, and is responsible for freeing it.